context = window
rest = context.JK.Rest()


@JamTrackPdfLink = React.createClass({

  render: () ->
    `<a href="https://s3.amazonaws.com/jamkazam-public/public/lists/all-jamkazam-jamtracks.pdf" onClick={this.pdfClick}>as a PDF file</a>`

  pdfClick: (e) ->
    window.JK.GA.trackFileDownload(window.JK.GA.FileDownloadTypes.jamtrack_pdf);

    window.JK.popExternalLink($(e.target).attr('href'))
    e.preventDefault()
})